Update credential
Update a stored credential label.
PATCH
/api/credential/{credentialID}Path parameters
credentialIDstringrequiredQuery parameters
locationobject | anyRequest body
requiredapplication/jsonlabelstringrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X PATCH "/api/credential/string" \
-H "Content-Type: application/json" \
-d '{
"label": "string"
}'const response = await fetch("/api/credential/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"label": "string"
})
});import requests
response = requests.patch(
"/api/credential/string",
headers={
"Content-Type": "application/json"
},
json={
"label": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}